/*
    Предрейсовые осмотры - мобильное приложение
    Стили общего текстового компонента
*/

//---------------------
//Подключение библиотек
//---------------------

const { StyleSheet } = require('react-native'); //StyleSheet React Native
const { APP_COLORS } = require('../../config/theme'); //Цветовая схема приложения
const { responsiveSize } = require('../../utils/responsive'); //Адаптивные утилиты

//-----------
//Тело модуля
//-----------

//Стили текста по умолчанию
const styles = StyleSheet.create({
    text: {
        color: APP_COLORS.textPrimary,
        fontSize: responsiveSize(16),
        includeFontPadding: false
    }
});

//----------------
//Интерфейс модуля
//----------------

module.exports = styles;
